%define upstream_name Clownfish
%define upstream_version 0.6.3

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Apache Clownfish symbiotic object system
License:    ASL 2.0
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Clownfish/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Clownfish::CFC) >= 0.6.3
BuildRequires: perl(Clownfish::CFC::Perl::Build) >= 0.6.3
BuildRequires: perl(Devel::PPPort) >= 3.140.0
BuildRequires: perl(ExtUtils::CBuilder) >= 0.210.0
BuildRequires: perl(ExtUtils::ParseXS) >= 3.0.0
BuildRequires: perl(Module::Build) >= 0.280.801
BuildRequires: perl-devel

%description
The Apache Clownfish "symbiotic" object system for C is designed to pair
with a "host" dynamic language environment, facilitating the development
of high performance host language extensions. Clownfish classes are
declared in header files with a .cfh extension. The Clownfish headers are
used by the Clownfish compiler to generate C header files and host
language bindings. Methods, functions and variables are defined in normal
C source files.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build

%install
./Build install --destdir=%{buildroot}

# Fix permissions
%_fixperms %{buildroot}%{perl_vendorarch}

%check
./Build test

%files
%license LICENSE
%doc CHANGES META.json META.yml MYMETA.yml NOTICE
%{_mandir}/man3/*
%{perl_vendorarch}/*
%exclude %dir %{perl_vendorarch}/auto/


%changelog
* Mon Jan 20 2025 wally <wally> 0.6.3-11.mga10
+ Revision: 2140050
- rebuild with perl-5.40.0-3.mga10
- fix .so module file permissions and debug info extraction

* Fri Aug 23 2024 tv <tv> 0.6.3-10.mga10
+ Revision: 2089565
- Rebuild for perl-5.40

* Fri Dec 01 2023 tv <tv> 0.6.3-9.mga10
+ Revision: 2012347
- Rebuild for perl-5.38

* Tue Aug 02 2022 tv <tv> 0.6.3-8.mga9
+ Revision: 1874709
- Rebuild b/c of "lib/Clownfish.c: loadable library and perl binaries are mismatched (got first handshake key 0xeb00080, needed 0xeb80080)
- Use %%license

* Fri Mar 18 2022 tv <tv> 0.6.3-7.mga9
+ Revision: 1798007
- reorder %%check logically after %%install
- drop fix for INC
- Add a real description
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Sat Jul 18 2020 tv <tv> 0.6.3-5.mga8
+ Revision: 1606966
- rebuild for perl-5.32 (binary package w/o a dep on libperl.so

* Wed Feb 12 2020 umeabot <umeabot> 0.6.3-4.mga8
+ Revision: 1508300
- Mageia 8 Mass Rebuild

* Fri Sep 21 2018 umeabot <umeabot> 0.6.3-3.mga7
+ Revision: 1292498
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.6.3-2.mga7
+ Revision: 1250424
- Rebuild for perl 5.28

* Tue Mar 20 2018 shlomif <shlomif> 0.6.3-1.mga7
+ Revision: 1210648
- update to 0.6.3

* Mon Oct 02 2017 tv <tv> 0.6.1-3.mga7
+ Revision: 1163458
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.6.1-2.mga7
+ Revision: 1149484
- Rebuild for perl ABI changes

* Mon Jul 31 2017 shlomif <shlomif> 0.6.1-1.mga7
+ Revision: 1133235
- New version 0.6.1 (tarball)
- New version 0.6.1

* Sat Jun 18 2016 pterjan <pterjan> 0.5.1-2.mga6
+ Revision: 1024263
- Rebuild for perl 5.22.2

* Fri Apr 29 2016 shlomif <shlomif> 0.5.1-1.mga6
+ Revision: 1007929
- New version 0.5.1

* Fri Feb 12 2016 umeabot <umeabot> 0.4.2-3.mga6
+ Revision: 956889
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 0.4.2-2.mga6
+ Revision: 842723
- Rebuild for perl 5.22

* Sun Jun 21 2015 sander85 <sander85> 0.4.2-1.mga6
+ Revision: 838383
- update to 0.4.2

* Wed Oct 15 2014 umeabot <umeabot> 0.4.0-3.mga5
+ Revision: 745087
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4.0-2.mga5
+ Revision: 683956
- Mageia 5 Mass Rebuild

* Thu Sep 04 2014 sander85 <sander85> 0.4.0-1.mga5
+ Revision: 671960
- imported package perl-Clownfish

